Create a consent application
POST
/settings/consent/applications
Authorizations
bearerToken|siteContext +
bearerToken
Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.
TypeHTTP (bearer)
siteContext
Identifier of the site context when authenticating with a personal access token.
TypeAPI Key (header: X-Nimbu-Site)
or
siteToken
Site-scoped API token that already encodes the site context.
TypeHTTP (bearer)
Request Body
application/json
JSON
{
"name": "string",
"title": {
"additionalProperties": "string"
},
"description": {
"additionalProperties": "string"
},
"purposes": [
"string"
],
"required": true,
"default": true,
"opt_out": true,
"placeholder_message": {
"additionalProperties": "string"
},
"placeholder_action": {
"additionalProperties": "string"
}
}
Responses
application created
application/json
JSON
{
"name": "string",
"title": {
},
"description": {
},
"purposes": [
"string"
],
"required": true,
"default": true,
"opt_out": true,
"placeholder_message": {
},
"placeholder_action": {
},
"cookies": [
{
}
]
}